> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Test

> Test sends a test email to verify the provider configuration works end-to-end.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/settings/email-provider/test
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/settings/email-provider/test:
    post:
      tags:
        - Tenant Email Provider
      summary: Test
      description: >-
        Test sends a test email to verify the provider configuration works
        end-to-end.
      operationId: c1.api.settings.v1.TenantEmailProviderService.Test
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.settings.v1.TestTenantEmailProviderRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.settings.v1.TestTenantEmailProviderResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Test
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.TenantEmailProvider.Test(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.TestTenantEmailProviderResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.tenantEmailProvider.test();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.settings.v1.TestTenantEmailProviderRequest:
      description: The TestTenantEmailProviderRequest message.
      properties:
        testRecipientEmail:
          description: The email address to send the test email to.
          readOnly: false
          type: string
      title: Test Tenant Email Provider Request
      type: object
      x-speakeasy-name-override: TestTenantEmailProviderRequest
    c1.api.settings.v1.TestTenantEmailProviderResponse:
      description: The TestTenantEmailProviderResponse message.
      properties:
        message:
          description: Human-readable detail about the result.
          readOnly: false
          type: string
        success:
          description: Whether the test email was sent successfully.
          readOnly: false
          type: boolean
      title: Test Tenant Email Provider Response
      type: object
      x-speakeasy-name-override: TestTenantEmailProviderResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````